Package net.shibboleth.idp.attribute.resolver.spring.impl

# Class AttributeResolverServiceStrategy

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.resolver.spring.impl.AttributeResolverServiceStrategy

All Implemented Interfaces:
  `Function<ApplicationContext,AbstractServiceableComponent<AttributeResolver>>`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`, `NonnullFunction<ApplicationContext,AbstractServiceableComponent<AttributeResolver>>`

public class AttributeResolverServiceStrategy extends AbstractIdentifiableInitializableComponent implements NonnullFunction<ApplicationContext,AbstractServiceableComponent<AttributeResolver>>
Strategy for summoning up an `AttributeResolverImpl` from a populated `ApplicationContext`. We do this by finding all the configured `AttributeDefinition` and `DataConnector` beans and bunging them into the Attribute Resolver which we then initialize.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private boolean`
`stripNulls`
Whether to strip null attribute values.

## Constructor Summary

Constructors
Constructor
Description
`AttributeResolverServiceStrategy()`

## Method Summary

Modifier and Type
Method
Description
`AbstractServiceableComponent<AttributeResolver>`
`apply(ApplicationContext appContext)`
`boolean`
`isStripNulls()`
Do we strip nulls from attribute values.
`void`
`setStripNulls(boolean doStripNulls)`
Sets whether to strip nulls from attribute values.

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### stripNulls

private boolean stripNulls
Whether to strip null attribute values.

## Constructor Details

### AttributeResolverServiceStrategy

public AttributeResolverServiceStrategy()

## Method Details

### isStripNulls

public boolean isStripNulls()
Do we strip nulls from attribute values.

Returns:
  Returns whether to strip nulls from attribute values

### setStripNulls

public void setStripNulls(boolean doStripNulls)
Sets whether to strip nulls from attribute values.

Parameters:
  `doStripNulls` - what to set

### apply

@Nonnull public AbstractServiceableComponent<AttributeResolver> apply(@Nullable ApplicationContext appContext)

Specified by:
  `apply` in interface `Function<ApplicationContext,AbstractServiceableComponent<AttributeResolver>>`
Specified by:
  `apply` in interface `NonnullFunction<ApplicationContext,AbstractServiceableComponent<AttributeResolver>>`